## org.opengis.filter
Interface Id

All Superinterfaces:
  Filter

    public interface Id

extends Filter

A filter that passes only the Identifiers listed.

This application of this filter for Features is well established:

- FeatureId - used for GML2 Features
- GeometryId - used for GML3 Features and Geometry constructs

We also have the following identifiers:

- RecordId - from CSW-2
- ObjectId - from CSW-2

Field Summary

Fields inherited from interface Filter
`EXCLUDE, INCLUDE`

Method Summary
`Set<Identifier>` `getIdentifiers()` Returns the set of identifiers used by this filter.
`Set<Object>` `getIDs()` Set of IDs representing the Identifiers used by this filter.

Methods inherited from interface Filter
`accept, evaluate`

Method Detail

### getIDs

    Set<Object> getIDs()

  Set of IDs representing the Identifiers used by this filter.

### getIdentifiers

    Set<Identifier> getIdentifiers()

  Returns the set of identifiers used by this filter.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.